=== debian/changelog ===
xe-guest-utilities (5.6.0-595) etch; urgency=low

  * Build for xenenterprise 5.6.0-39674p.

 -- Citrix Systems, Inc. <www.citrix.com>  Mon, 20 Dec 2010 15:34:07 +0000
