=== debian/control ===
Source: xe-guest-utilities
Section: main/admin
Priority: optional
Maintainer: Citrix Systems, Inc. <www.citrix.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0)

Package: xe-guest-utilities
Architecture: any
Conflicts: xengmond
Replaces: xengmond
Description: Virtual Machine Monitoring Scripts
 Scripts for monitoring Virtual Machines.
 .
 Writes distribution version information and IP address to XenStore.
