=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	dh_clean

binary: binary-arch binary-indep

binary-arch: DESTDIR=debian/xe-guest-utilities
binary-arch: build
	dh_testdir
	dh_testroot

	dh_clean -k

	dh_installdirs 

	cp xe-linux-distribution $(DESTDIR)/usr/sbin/xe-linux-distribution
	chmod 0755 $(DESTDIR)/usr/sbin/xe-linux-distribution

	cp xe-update-guest-attrs $(DESTDIR)/usr/sbin/xe-update-guest-attrs
	chmod 0755 $(DESTDIR)/usr/sbin/xe-update-guest-attrs

	cp xe-daemon $(DESTDIR)/usr/sbin/xe-daemon
	chmod 0755 $(DESTDIR)/usr/sbin/xe-daemon

	tar -C $(DESTDIR) -xjf xenstore.tar.bz2
	rm $(DESTDIR)/usr/bin/xeninfo

	cp xen-vcpu-hotplug.rules $(DESTDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules

	dh_installinit --name xe-linux-distribution \
		-- start 14 2 3 4 5 . stop 86 0 1 6 .

	dh_install citrix.list /usr/share/xe-guest-utilities

	dh_installdocs COPYING COPYING.LGPL

	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
