=== debian/changelog ===
xe-guest-utilities (6.1.0-1033) etch; urgency=low

  * Build for xenenterprise 6.1.0-59235p.

 -- Citrix Systems, Inc. <www.citrix.com>  Tue, 25 Sep 2012 10:44:29 +0000
