=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	tar -C $(DESTDIR) -xjf xenstore.tar.bz2
 	rm $(DESTDIR)/usr/bin/xeninfo
 
-	cp xen-vcpu-hotplug.rules $(DESTDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules
+	cp xen-vcpu-hotplug.rules $(DESTDIR)/lib/udev/rules.d/z10_xen-vcpu-hotplug.rules
 
 	dh_installinit --name xe-linux-distribution \
 		-- start 14 2 3 4 5 . stop 86 0 1 6 .
