=== debian/changelog ===
xe-guest-utilities (6.2.0-1120) etch; urgency=low

  * Build for xenenterprise 6.2.0-70442c.

 -- Citrix Systems, Inc. <www.citrix.com>  Fri, 14 Jun 2013 12:57:34 +0000
