## xe-guest-utilities 6.2.0-1120+dsf1

=== debian/changelog ===
xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu1~12.04.0) precise; urgency=medium

  * Backport to 12.04 (LP: #1490624).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 01 Sep 2015 14:27:43 -0600

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu1) wily; urgency=medium

  [ Ben Howard ]
  * Initial packaging/forking for usability in Ubuntu.
    - depend on xenstore-utils rather than pre-packaged binary blobs.
    - created systemd files
    - created upstart files
  * Source changes:
    - deleted xenstore-sources.tar.bz2
    - deleted xenstore.tar.bz2
    - deleted apt source 'citrix.list' as both broken and unneeded
    - deleted debian/*.{postinst,prerm} as unneeded
    - modified debian/rules
  * Generalized upstart/systemd descriptions.
  * Changed systemd target for proc-xen.mounts.
  * Fix systemd job for xe-daemon.service to use ConditionPathExists.
  * Modernize the CPU hotplug udev rule.
  * Closes (LP: #1459455).

  [ Steve Langasek ]
  * Adjust debian/copyright to comply with copyright-format 1.0; and fix
    inclusion of personal copyright statement on Canonical code.
  * Remove debian/postinst and debian/postrm that are empty except for the
    debhelper tokens; fixes lintian warning due to ignored errors.  Let
    debhelper create the scripts itself so it gets them right.
  * Drop a no-op debian/docs.
  * Rename debian/nova-agent.upstart to
    debian/xe-guest-utilities.xe-daemon.upstart and let it be picked up
    automatically in debian/rules.
  * Don't make systemd vs. upstart support conditional on the target release.

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 13 Aug 2015 16:28:48 -0600
