=== debian/control ===
Source: xe-guest-utilities
Section: admin
Priority: optional
Maintainer: Ben Howard <ben.howard@ubuntu.com>
XSBC-Original-Maintainer: Citrix <www.citrix.com>
Homepage: http://www.citrix.com
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               gawk,
               lsb-release,
               quilt

Package: xe-guest-utilities
Architecture: all
Conflicts: xengmond
Replaces: xengmond
Depends: xenstore-utils,
         cloud-init,
         lsb-release,
         net-tools,
         ${misc:Depends}
Description: Scripts for monitoring Xen Virtual machines
 Scripts for monitoring Virtual Machines on a Xen Hypervisor.
 .
 Writes distribution version information and IP address to XenStore.
 .
 This specific package is derived from the xe-guest-utilities package and
 has been modified to work with the Ubuntu in-archive versions of
 xenstore-utils.
