=== debian/changelog ===
xe-guest-utilities (7.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - adds mac address reporting
    - adds disk drive reporting
  * Use actual upstream source code from github, and watch file
  * Drop all patches, custom get-orig source, README.source, and useless
    manpages
  * Set Vcs-Git location
  * Use absolute imports to support building with gccgo.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Jun 2017 18:58:24 +0100

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu4) zesty; urgency=medium

  * debian/xe-guest-utilities.xe-daemon.service: declare
    DefaultDependencies=no to prevent dependency cycles. The unit cannot
    be simultaniously before and after sysinit target. By default all
    units are after sysinit target, yet cloud-init-local is before it. LP:
    #1669755

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Mar 2017 12:33:01 +0000

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu3) xenial; urgency=medium

  * upstart job: Check if /sys/hypervisor/type exists before attempting to
    read it (LP: #1504481).

 -- Ben Howard <ben.howard@ubuntu.com>  Fri, 23 Oct 2015 12:01:49 -0600

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu2) wily; urgency=medium

  * Drop 'depends' for cloud-init (LP: #1496730).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 17 Sep 2015 08:57:54 -0600
