=== debian/control ===
Source: xe-guest-utilities
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://launchpad.net/ubuntu/+source/xe-guest-utilities
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), gawk, golang | gccgo-go (<< 1.3), dh-systemd
Vcs-Browse: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities
Vsc-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities

Package: xe-guest-utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: daemon for monitoring Xen Virtual machines
 xe-daemon for monitoring Virtual Machines on a Xen Hypervisor.
 .
 Writes distribution version information, disk and networking
 statistics to XenStore.
