## xe-guest-utilities 7.10.0

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-write ; \
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-exists ; \
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-rm ; \
+	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-list ; \
 	  install -d $(STAGEDIR)/etc/udev/rules.d/ ; \
 	  install -m 644 $(SOURCEDIR)/xen-vcpu-hotplug.rules $(STAGEDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules ; \
 	  cd $(STAGEDIR) ; \
