=== mk/Makefile ===
ifeq ($(COMPONENT),guest-utilities-rpm)
include Makefile.rpm
endif

ifeq ($(COMPONENT),guest-utilities-deb)
include Makefile.deb
endif

ifeq ($(COMPONENT),guest-utilities-tgz)
include Makefile.tgz
endif
