=== debian/changelog ===
xe-guest-utilities (7.10.0-0ubuntu1) bionic; urgency=medium

  * New upstream release, minor:
    * [hwe] CP-26664: Add NET SRIOV VF IP collection (#49)
    * note xenstore command line util is improved, but not shipped in the
      deb package
  * Drop upstart system jobs.
  * Bump standards version, use debhelper for systemd jobs.
  * Update copyright file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Apr 2018 16:11:44 +0100
