=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Homepage: https://launchpad.net/ubuntu/+source/xe-guest-utilities
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), gawk, golang | gccgo-go (<< 1.3), dh-systemd
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), gawk, golang | gccgo-go (<< 1.3)
 Vcs-Browse: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities
 Vsc-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities
