=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name xe-daemon
	dh_installinit --no-restart-on-upgrade --name xe-cloud

override_dh_systemd_enable:
	dh_systemd_enable --name xe-daemon xe-daemon.service
