=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xe-guest-utilities-$1.tar.gz%" \
    https://github.com/xenserver/xe-guest-utilities/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
