=== debian/changelog ===
xe-guest-utilities (7.20.2-0ubuntu1~22.04.2) jammy; urgency=medium

  * No-change upload to fix accidental acceptance.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 14 Feb 2023 16:12:31 +0100

xe-guest-utilities (7.20.2-0ubuntu1~22.04.1) jammy; urgency=medium

  * No-change rebuild for Jammy (based on Lunar). (LP: #2006459)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 07 Feb 2023 16:53:41 +0530

xe-guest-utilities (7.20.2-0ubuntu1) lunar; urgency=medium

  * New upstream version 7.20.2.
  * Refresh d/patches.
  * Drop d/patches as we're using the upstream Makefile.
  * Fix FTBFS with newer Golang.
    - Thanks, Shengjing Zhu, for your help! \o/
  * Fix FTBFS when bumping dh-compat to 12.
  * Prettify d/control and fix minor issues.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 07 Feb 2023 13:43:38 +0530

xe-guest-utilities (7.10.0-0ubuntu2) eoan; urgency=medium

  * Set GOCACHE to a safely writeable directory, fixing ftbfs with Go 1.12+.
    (LP: #1843767).
  * Fix typos in Vcs-* fields in d/control. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Sep 2019 09:36:13 +1200
