=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_build:
	GOPATH=$(CURDIR)/_build/ GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off \
		$(MAKE) build

override_dh_auto_install:

override_dh_auto_test:

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade --name xe-daemon
	dh_installinit --no-stop-on-upgrade --name xe-cloud

override_dh_installsystemd:
	dh_installsystemd -p xe-guest-utilities --name xe-daemon xe-daemon.service

override_dh_dwz:
